SDL_GetCurrentRenderOutputSize(3)

NAME
SDL_GetCurrentRenderOutputSize - Get the current output size in pixels of a rendering context.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetCurrentRenderOutputSize(SDL_Renderer *renderer, int *w, int *h);

DESCRIPTION
If a rendering target is active, this will return the size of the rendering target in pixels, otherwise if a logical size is set, it will return the logical size, otherwise it will return the value of SDL_GetRenderOutputSize ().

FUNCTION PARAMETERS

renderer
    the rendering context

w   a pointer filled in with the current width

h   a pointer filled in with the current height

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetRenderOutputSize(3)